package org.hardknockjava.lesson03.excercise01;

/**
 * A class representing a temperature in degrees Celsius.
 * @see Temperature
 * @see TemperatureFahrenheit
 * @see TemperatureKelvin
 * @author Hard Knock Java
 *
 */
public class TemperatureCelsius extends Temperature {

	// Because Temperature has an implicit constructor,
	// we need one too, which calls the superclass constructor
	// with the value passed to this one.
    /**
     * 
     * @param degrees The temperature in degrees Celsius.
     */
	public TemperatureCelsius(double degrees) {
		super(degrees);
	}

	@Override
	// Return degrees, which is in Celsius, converted
	// to Fahrenheit.
    /**
     * Return the temperature in degrees Fahrenheit.
     * @return The temperature in degrees Fahrenheit.
     */
	public double getFahrenheit() {
		return (degrees * 9 / 5) + 32;
	}

	@Override
	// Since degrees is already in Celsius, just return it.
    /**
     * Return the temperature in degrees Celsius.
     * @return The temperature in degrees Celsius.
     */
	public double getCelsius() {
		return degrees;
	}
	
	// We don't need to override getKelvin() in this
	// class.

	@Override
    /**
     * Return the temperature scale used by the object.
     * @return The temperature scale used.
     */
	public String getScale() {
		return SCALE_CELSIUS;
	}
}
