package org.hardknockjava.lesson03.excercise01;

/**
 * A class representing a temperature in degrees Fahrenheit.
 * @see Temperature
 * @see TemperatureCelsius
 * @see TemperatureKelvin
 * @author Hard Knock Java
 *
 */
public class TemperatureFahrenheit extends Temperature {

	// Because Temperature has an implicit constructor,
	// we need one too, which calls the superclass constructor
	// with the value passed to this one.
    /**
     * 
     * @param degrees The temperature in degrees Fahrenheit.
     */
	public TemperatureFahrenheit(double degrees) {
		super(degrees);
	}

	@Override
	// Since degrees is in Fahrenheit, just return it.
    /**
     * Return the temperature in degrees Fahrenheit.
     * @return The temperature in degrees Fahrenheit.
     */
	public double getFahrenheit() {
		return degrees;
	}

	@Override
	// Return degrees, which is in Fahrenheit, converted
	// to Celsius.
    /**
     * Return the temperature in degrees Celsius.
     * @return The temperature in degrees Celsius.
     */
	public double getCelsius() {
		return (degrees - 32) * 5 / 9;
	}
	
	// We don't need to override getKelvin() in this
	// class.

	@Override
    /**
     * Return the temperature scale used by the object.
     * @return The temperature scale used.
     */
	public String getScale() {
		return SCALE_FAHRENHEIT;
	}
}
