package org.hardknockjava.lesson03.excercise01;

/**
 * A class representing a temperature in degrees Kelvin.
 * @see Temperature
 * @see TemperatureFahrenheit
 * @see TemperatureKelvin
 * @author Hard Knock Java
 *
 */
public class TemperatureKelvin extends TemperatureCelsius {

	// Because Temperature has an implicit constructor,
	// we need one too, which calls the superclass constructor
	// with the value passed to this one converted to Celsius;
	// remember, the specifications say this class should
	// convert the Kelvin input to Celsius.
    /**
     * 
     * @param degrees The temperature in degrees Kelvin.
     */
	public TemperatureKelvin(double degrees) {
		super(degrees - CELSIUS_TO_KELVIN);
	}
	
	// Because degrees is stored as a Celsius value, the
	// getFahrenheit and getCelsius methods in our superclass,
	// TemperatureCelsius, and getKelvin in Temperature,
	// work just fine and we don't need to override them.
	
	// However, for the same reason, to return the degrees
	// setting with which this object was created, we need
	// to convert from Celsius to Kelvin.
	@Override
	public double getDegrees() {
		return getKelvin();
	}
	
	@Override
    /**
     * Return the temperature scale used by the object.
     * @return The temperature scale used.
     */
	public String getScale() {
		return SCALE_KELVIN;
	}

}
